var group__infra__codec =
[
    [ "basic_codec.h", "basic__codec_8h.html", null ],
    [ "codec.h", "codec_8h.html", null ],
    [ "message_buffer.h", "message__buffer_8h.html", null ],
    [ "BasicCodec", "classerpc_1_1_basic_codec.html", [
      [ "BasicCodec", "classerpc_1_1_basic_codec.html#a93b2c5757de36eb0a871013a87e8ea1f", null ],
      [ "startWriteMessage", "classerpc_1_1_basic_codec.html#a0fa4c6301fbc588f85c49964d7970258", null ],
      [ "endWriteMessage", "classerpc_1_1_basic_codec.html#a765aa2f4ecba019e30678fe184493df2", null ],
      [ "write", "classerpc_1_1_basic_codec.html#adeb48a7f68e1e0d830c3ff20c74fe01c", null ],
      [ "write", "classerpc_1_1_basic_codec.html#a26e815db6bb700eedc05efd0847594f7", null ],
      [ "write", "classerpc_1_1_basic_codec.html#ad0ce6acb67b6577dc975773de8a4d98f", null ],
      [ "write", "classerpc_1_1_basic_codec.html#ab9e62927c91cd5ea39acc918b6f2d403", null ],
      [ "write", "classerpc_1_1_basic_codec.html#a803eebcab2772ec699b8806de1ec1fb4", null ],
      [ "write", "classerpc_1_1_basic_codec.html#aed053d4a4f7a43f42970baf22f6df81a", null ],
      [ "write", "classerpc_1_1_basic_codec.html#abc7ce37ff0b5094a0e0df9a60be314fd", null ],
      [ "write", "classerpc_1_1_basic_codec.html#aeda059a98fdad49428810593998221c8", null ],
      [ "write", "classerpc_1_1_basic_codec.html#a56acd09bf1a4fa41111857779aa62aa0", null ],
      [ "write", "classerpc_1_1_basic_codec.html#ad5d891c77b2132d17f0ca9f6636d69de", null ],
      [ "write", "classerpc_1_1_basic_codec.html#aa306ee64f85658f7e6fb4a9cd6b4144d", null ],
      [ "writeString", "classerpc_1_1_basic_codec.html#a8f476ced2a5921ca3d19d87bd5e64a57", null ],
      [ "writeBinary", "classerpc_1_1_basic_codec.html#aaa3686daacbdfc0e820c522bf20e7267", null ],
      [ "startWriteList", "classerpc_1_1_basic_codec.html#a7d6a8fec0a26945a7965bc27ee1051f1", null ],
      [ "endWriteList", "classerpc_1_1_basic_codec.html#a8720e162676bb90450bdf93fe7521f9f", null ],
      [ "startWriteStruct", "classerpc_1_1_basic_codec.html#a886a191a25ce8ea45190a78f0811a552", null ],
      [ "endWriteStruct", "classerpc_1_1_basic_codec.html#a1c42a1b2ce3526227618fd69daee1257", null ],
      [ "writeNullFlag", "classerpc_1_1_basic_codec.html#a0e30745ca41b9e2ee277619d968f001c", null ],
      [ "startReadMessage", "classerpc_1_1_basic_codec.html#a7abcf7a74b8de3b84ea417c16e850413", null ],
      [ "endReadMessage", "classerpc_1_1_basic_codec.html#a1a7d30f3d57e8a1520e0db8f69954d54", null ],
      [ "read", "classerpc_1_1_basic_codec.html#ae2bf041e34d2181f021cae256d05e76b", null ],
      [ "read", "classerpc_1_1_basic_codec.html#ab68b8430e167705f4f73bb014d24796f", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a263b251665a1e0f5c6153297be59942c", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a93576564cc908d9d9f597229224cd35f", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a9e7f44880b4e5f5255120be931dfe840", null ],
      [ "read", "classerpc_1_1_basic_codec.html#ac9adb814a0002a502e0ba823abd5a8f1", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a80b7d904a53cb14f9bc6e1c4f3a78221", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a2e576e146650ede278e652f693b49eac", null ],
      [ "read", "classerpc_1_1_basic_codec.html#adf22280a2d216fa568eb2a0432383557", null ],
      [ "read", "classerpc_1_1_basic_codec.html#a5e48442bce725b7a7e3458c02d46f2b8", null ],
      [ "read", "classerpc_1_1_basic_codec.html#ad22e28c3d5571e0d452c59b6fdcbe223", null ],
      [ "readString", "classerpc_1_1_basic_codec.html#a681be30bb9490f5df171ac161957eb50", null ],
      [ "readBinary", "classerpc_1_1_basic_codec.html#a286da2fb516cab0063b3ce9307cd557c", null ],
      [ "startReadList", "classerpc_1_1_basic_codec.html#a31cbbd775e98a3288bdf7c741c2c7d84", null ],
      [ "endReadList", "classerpc_1_1_basic_codec.html#a7063b583c1ee91ef0427b750933e234c", null ],
      [ "startReadStruct", "classerpc_1_1_basic_codec.html#ae96c0cb07e2dd28d86ea331be19f8d15", null ],
      [ "endReadStruct", "classerpc_1_1_basic_codec.html#ac9b8752c2edb161e4645ff836b6e2a75", null ],
      [ "readNullFlag", "classerpc_1_1_basic_codec.html#a7bb45d1d9a0cbe45ccdaad319efa4294", null ]
    ] ],
    [ "BasicCodecFactory", "classerpc_1_1_basic_codec_factory.html", [
      [ "create", "classerpc_1_1_basic_codec_factory.html#ae6e09ba44bba02818bf1f6a7c4edff3f", null ],
      [ "dispose", "classerpc_1_1_basic_codec_factory.html#a9f3929fe7d4549ba1399fc18e8a9cc3a", null ]
    ] ],
    [ "Codec", "classerpc_1_1_codec.html", [
      [ "Codec", "classerpc_1_1_codec.html#ab8a8bf8e26193edaa7b60bd60a74e241", null ],
      [ "~Codec", "classerpc_1_1_codec.html#ad4799bf9411c7fbec26082f0143abb1b", null ],
      [ "getBuffer", "classerpc_1_1_codec.html#a45709c93c094b3429facb6962827892e", null ],
      [ "setBuffer", "classerpc_1_1_codec.html#ace7d311abca68729346074d603879c9f", null ],
      [ "reset", "classerpc_1_1_codec.html#a9be084e154883188d26fbad05ff2c7b9", null ],
      [ "startWriteMessage", "classerpc_1_1_codec.html#ac41e5be3cb4b64f4a0c52de160a7537d", null ],
      [ "endWriteMessage", "classerpc_1_1_codec.html#ad5781b1bb58c39f977bef3d599f62d97", null ],
      [ "write", "classerpc_1_1_codec.html#a002b086a5534d5be910d6930d3468a00", null ],
      [ "write", "classerpc_1_1_codec.html#a8bade9ddf36d8ac79b675e9b10169fdf", null ],
      [ "write", "classerpc_1_1_codec.html#a07e236dd49c216ffab823afc58635e5c", null ],
      [ "write", "classerpc_1_1_codec.html#a24be3849ad7cabda4c589a912fdc7f82", null ],
      [ "write", "classerpc_1_1_codec.html#aef1f5071b1e07f34fe9731fa5e10687f", null ],
      [ "write", "classerpc_1_1_codec.html#a8edff61120231fb0e652825c2f6371e5", null ],
      [ "write", "classerpc_1_1_codec.html#aa169e906bf4f7cd12a4e5588f65b14f6", null ],
      [ "write", "classerpc_1_1_codec.html#a929dc3f32a088c03b9f8cef0e30cab49", null ],
      [ "write", "classerpc_1_1_codec.html#a59d6be059c10422e528039699bf341ce", null ],
      [ "write", "classerpc_1_1_codec.html#a5aeed7d90150e7f65eb1017bc0e2688c", null ],
      [ "write", "classerpc_1_1_codec.html#a973c421155e391dbb0550fa5e0065001", null ],
      [ "writeString", "classerpc_1_1_codec.html#acdcec6c9575388ebbccfc7e326cfb7a2", null ],
      [ "writeBinary", "classerpc_1_1_codec.html#a395fc7d8577b0a00d571ed320b4da57e", null ],
      [ "startWriteList", "classerpc_1_1_codec.html#a3255757c4dd48017a5f9e796c49e822b", null ],
      [ "endWriteList", "classerpc_1_1_codec.html#acb6720bc9f02a2068c32c353647cfa92", null ],
      [ "startWriteStruct", "classerpc_1_1_codec.html#a7ef8f0ef36444918b184036f02631088", null ],
      [ "endWriteStruct", "classerpc_1_1_codec.html#ab35961c106dabca5c2204e8e53602d39", null ],
      [ "writeNullFlag", "classerpc_1_1_codec.html#ad070335fa31ad73d644ae2fc28ba0003", null ],
      [ "startReadMessage", "classerpc_1_1_codec.html#ad98b0492614fe14cf4461972cd6fe9d9", null ],
      [ "endReadMessage", "classerpc_1_1_codec.html#a0ad6166e412a6161e7cc8c7aab81c1bf", null ],
      [ "read", "classerpc_1_1_codec.html#ae6f1c838bff3b95705e05d0204890fa5", null ],
      [ "read", "classerpc_1_1_codec.html#a791e0ce1915cdfd0fe1cd1d4315f5fb6", null ],
      [ "read", "classerpc_1_1_codec.html#a830e2c4e43d9fa97d18c1e7fe99180a8", null ],
      [ "read", "classerpc_1_1_codec.html#a649e1087fd0a3595bab8a1576d9bed46", null ],
      [ "read", "classerpc_1_1_codec.html#a7e96770ca212c00480381c4f0f54a3ff", null ],
      [ "read", "classerpc_1_1_codec.html#af5fb7f3b1c974196cba75f65538d6b80", null ],
      [ "read", "classerpc_1_1_codec.html#a9f87529ab9ed05b0fdd175bbac2f41a9", null ],
      [ "read", "classerpc_1_1_codec.html#a432a28551422ece42286e13868a696d2", null ],
      [ "read", "classerpc_1_1_codec.html#a62e4d29fdb26b3cdafa1e866848610bf", null ],
      [ "read", "classerpc_1_1_codec.html#ad507e9dd4fa21a17f705516ac23e96db", null ],
      [ "read", "classerpc_1_1_codec.html#ad9d75c5f93bc233feaf444c3ec6b9dcc", null ],
      [ "readString", "classerpc_1_1_codec.html#a29c01cadcd7cd544c2248899d9d7cb2d", null ],
      [ "readBinary", "classerpc_1_1_codec.html#a9f2fb79b05e89fc1c8a49454fd39e152", null ],
      [ "startReadList", "classerpc_1_1_codec.html#aa8728e3da1cb91af2e92fa236cacab06", null ],
      [ "endReadList", "classerpc_1_1_codec.html#af259955abf004ce3929bcc39b20611dd", null ],
      [ "startReadStruct", "classerpc_1_1_codec.html#a02e5f8b725da2f0560ce8a07fba3d991", null ],
      [ "endReadStruct", "classerpc_1_1_codec.html#a145ed0908df02c7c059046e924dfc2d3", null ],
      [ "readNullFlag", "classerpc_1_1_codec.html#afbbf5fb4b8fcbae3d99d7314a6aac995", null ],
      [ "m_buffer", "classerpc_1_1_codec.html#a003c4d8420239b9a347b46554ebeb903", null ],
      [ "m_cursor", "classerpc_1_1_codec.html#ad9fe5af5136be642e05a9e7335af8ff7", null ]
    ] ],
    [ "CodecFactory", "classerpc_1_1_codec_factory.html", [
      [ "CodecFactory", "classerpc_1_1_codec_factory.html#af78f7079929ab75f3b70b794d993a229", null ],
      [ "~CodecFactory", "classerpc_1_1_codec_factory.html#aa1a43657104faa343ca4e578bc9c55b3", null ],
      [ "create", "classerpc_1_1_codec_factory.html#ac5e961deb0ec655e51ed60e997c6c2c1", null ],
      [ "dispose", "classerpc_1_1_codec_factory.html#a5dcc103c26e177051cc9e8dd98454591", null ]
    ] ],
    [ "MessageBuffer", "classerpc_1_1_message_buffer.html", [
      [ "Cursor", "classerpc_1_1_message_buffer_1_1_cursor.html", [
        [ "Cursor", "classerpc_1_1_message_buffer_1_1_cursor.html#a840a43c1643b1bcad235120f7d0343e6", null ],
        [ "Cursor", "classerpc_1_1_message_buffer_1_1_cursor.html#a0e15e87d9811aa62005be4a985b94451", null ],
        [ "set", "classerpc_1_1_message_buffer_1_1_cursor.html#adb7e71e444dcdb0a135d45d351d5dd62", null ],
        [ "get", "classerpc_1_1_message_buffer_1_1_cursor.html#aab4d7097dfd02bf98c094a82caddd2f2", null ],
        [ "get", "classerpc_1_1_message_buffer_1_1_cursor.html#acc4f2758fb84c37b0346b554f29862f4", null ],
        [ "getRemaining", "classerpc_1_1_message_buffer_1_1_cursor.html#a278f9e0126b9b6b062b1855fe5516896", null ],
        [ "read", "classerpc_1_1_message_buffer_1_1_cursor.html#a13613fadb3bb88585f5802ff845259a4", null ],
        [ "write", "classerpc_1_1_message_buffer_1_1_cursor.html#a7e3588d2e063d827dbe5dbf72d5952e8", null ],
        [ "operator uint8_t *", "classerpc_1_1_message_buffer_1_1_cursor.html#a67887d628cafdbcfa2bb715f505d1ed0", null ],
        [ "operator const uint8_t *", "classerpc_1_1_message_buffer_1_1_cursor.html#aedcee51028cfb91cf23fdd4196571548", null ],
        [ "operator[]", "classerpc_1_1_message_buffer_1_1_cursor.html#a721666b1b9f1460e103a4b69fabf063d", null ],
        [ "operator[]", "classerpc_1_1_message_buffer_1_1_cursor.html#a419699bfaa21427f8b34c95222479e54", null ],
        [ "operator+=", "classerpc_1_1_message_buffer_1_1_cursor.html#ab3ea93264bdf3679f3d77e53f1f85552", null ],
        [ "operator-=", "classerpc_1_1_message_buffer_1_1_cursor.html#a02907775cbd61bd0637398a3ea62c335", null ],
        [ "operator++", "classerpc_1_1_message_buffer_1_1_cursor.html#a35942623a2f3a3bb9d97a56c62ea1772", null ],
        [ "operator--", "classerpc_1_1_message_buffer_1_1_cursor.html#a76b6e10a6ec29b3e69662da0ca6a7f30", null ]
      ] ],
      [ "MessageBuffer", "classerpc_1_1_message_buffer.html#a643b05b55a92e65382b4b96617ce2b61", null ],
      [ "MessageBuffer", "classerpc_1_1_message_buffer.html#a7785b972a2ed8719a7afcd8f15c1b3ca", null ],
      [ "set", "classerpc_1_1_message_buffer.html#ae68c8d9c1ded075f6a85ecd92fb958be", null ],
      [ "get", "classerpc_1_1_message_buffer.html#acaa92d2046df5b4fe0dd0f72c80db8c5", null ],
      [ "get", "classerpc_1_1_message_buffer.html#aca6e73cdfa0ee1b44b9a24795d726cee", null ],
      [ "getLength", "classerpc_1_1_message_buffer.html#a00a45ec75a5c502c6a4d387dc341b319", null ],
      [ "getUsed", "classerpc_1_1_message_buffer.html#add0dea93d5d72418413ba2cdbaac68be", null ],
      [ "getFree", "classerpc_1_1_message_buffer.html#af83a725b03371d97b636765ede86b184", null ],
      [ "setUsed", "classerpc_1_1_message_buffer.html#aa0170a6e243e15fc7271d792624b3e96", null ],
      [ "read", "classerpc_1_1_message_buffer.html#a046c0aa6baf607d5de23f18cfa13f08e", null ],
      [ "write", "classerpc_1_1_message_buffer.html#a9f47a5776a51c53d4a8516c354d21d19", null ],
      [ "copy", "classerpc_1_1_message_buffer.html#ad37d276294bd8d587a741ce0cee14967", null ],
      [ "swap", "classerpc_1_1_message_buffer.html#a673ecf17b4876dcf4dff6313c5375d8c", null ],
      [ "operator uint8_t *", "classerpc_1_1_message_buffer.html#a47fe7bf48418eabcfb606fedcfbaaabc", null ],
      [ "operator const uint8_t *", "classerpc_1_1_message_buffer.html#a7e73adec382c2d4f3da4798e844df6be", null ],
      [ "operator[]", "classerpc_1_1_message_buffer.html#aedf09a86aef402ba74387c8590bcf23c", null ],
      [ "operator[]", "classerpc_1_1_message_buffer.html#a2f3450dcebc3fec37f2d5719847042f8", null ]
    ] ],
    [ "MessageBufferFactory", "classerpc_1_1_message_buffer_factory.html", [
      [ "MessageBufferFactory", "classerpc_1_1_message_buffer_factory.html#a9897093c65b390b0c7f1595384ad9029", null ],
      [ "~MessageBufferFactory", "classerpc_1_1_message_buffer_factory.html#ac2b0d9092be2a6e757dcc4bdc8baefd5", null ],
      [ "create", "classerpc_1_1_message_buffer_factory.html#a988ac3778b4164dc497429128078447b", null ],
      [ "createServerBuffer", "classerpc_1_1_message_buffer_factory.html#a27ba896a8eb9a1aee6b02894acd724cf", null ],
      [ "prepareServerBufferForSend", "classerpc_1_1_message_buffer_factory.html#aab77e9b0501e87a332f4cb3e2835bd54", null ],
      [ "dispose", "classerpc_1_1_message_buffer_factory.html#a089b5bf3041323a3387c52c86fd61971", null ]
    ] ]
];